#contenedor-padre-codigo-promocional {
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin: 0 auto;
    padding: 40px;
    box-sizing: border-box;
    background-color: white;
    background: var(--Color-Surface-General-1, #FFF);
}

.contenedor-imagenes-arriba{
    display: flex;
    justify-content: center;
    width: 100%;
    margin-bottom: 10px;
    align-items: center;
    gap: 170px;
}

.imagen-arriba-izquierda{
 width: 132px;
 height: 168px;
}

.imagen-arriba-derecha{
 width: 192px;
 height: 114px;
}


.imagen-centro-izquierda, .imagen-centro-derecha{
 display: none;

}
.imagen-centro-izquierda{
 width: 163px;
 height: 206px;
}

.imagen-centro-derecha{
 width: 170px;
 height: 214px;
}

.contenedor-imagenes-abajo{
    display: flex;
    justify-content: center;
    width: 100%;
    margin-bottom: 10px;
    align-items: center;
    gap: 240px;
}

.imagen-abajo-izquierda{
 width: 192px;
 height: 104px;
}


.imagen-abajo-derecha{
 width: 192px;
 height: 104px;
 position: relative;
 top: 20px;
}


#codigo-promocional {
  display: inline-block;
  padding: 10px 20px; 
  font-family: Arial, sans-serif;
  font-size: 16px; 
  color: var(--Color-Content-General-1, #2C2C2C); 
  text-align: center;
  text-decoration: none; 
  border: 2px dashed #ccc;
  border-radius: 20px; 
  background-color: #fff;
  /*box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);*/
  user-select: none; 
}

#codigo-promocional:hover {
  background-color: #e0e0e0;
  border-color: #999;
  color: #000;
}


.imagen-codigo-promocional {
    border-radius: 16px;
    object-fit: cover;
}

.contenedor-codigo-promocional {
    text-align: center;
    padding: 20px 0 64px;
    min-width: 328px;
    max-width: 328px;
}

.icono-regalo {
    width: 64px;
    height: 64px;
    margin-bottom: 6px;
}

.titulo-regalo {
    color: #2C2C2C;
    margin: 26px 0 8px;
}

.subtitulo-regalo {
    color: #2C2C2C;
    margin-bottom: 32px;
}

#codigo-promocional {display: flex;height: 56px;justify-content: center;align-items: center;align-self: stretch;text-align: center;font-family: "IberpangeaText-Regular";font-size: 16px;font-weight: 600;line-height: 22px;border-radius: 50px;margin-bottom: 16px;}

.boton-copiar {
 font-size: 16px;
 font-style: normal;
 font-weight: 600;
 line-height: 24px;
 border-radius: 50px;
 background-color: #2F6852;
 color: #FFFAF6;
 display: flex;
 height: 56px;
 min-width: 200px;
 cursor: pointer;
 padding: var(--border-radius-none, 0px);
 flex-direction: column;
 align-items: center;
 gap: var(--space-0, 0px);
 align-self: stretch;
 font-family: IberpangeaText-Regular;
justify-content: center;
align-items: center;
    }

.boton-copiar:hover {
    background-color: #00402A;
}

.imagen-centro {
    margin: 10px 0;
}

@media(min-width: 576px){

    .contenedor-imagenes-arriba{
        gap: 193px;
    }
    .contenedor-imagenes-abajo{
        gap: 250px;
    }
    #codigo-promocional, .boton-copiar{
        width: 328px;
        margin-left: auto;
        margin-right: auto;
        
    }
    .contenedor-codigo-promocional {
        padding-bottom: 0;
        min-width:  460px;
        max-width:  460px;
    }


    #contenedor-padre-codigo-promocional{
        height: 806px;
    }
    .imagen-arriba-izquierda{
         width: 132px;
         height: 168px;
    }

    .imagen-arriba-derecha{
         width: 192px;
         height: 114px;
    }
    .contenedor-codigo-boton{
        margin-bottom: 86px;
    }
}
@media(min-width: 768px){
    #contenedor-padre-codigo-promocional{
        padding: 32px;
    }
    .titulo-regalo {
        font-size: 2rem;
    }
    .contenedor-codigo-boton{
        display: flex;
        flex-direction: column;
        gap: 16px;
        margin-left: 70px;
    }

    #codigo-promocional, .boton-copiar{
        margin-left: 0;
        margin-right: 0;
        margin-bottom: 0;
    }
    .contenedor-imagenes-abajo{
        gap: 277px;
    }
    .imagen-arriba-izquierda{
         width: 155px;
         height: 196px;
         position: relative;
         left: 21px;
    }
    .imagen-abajo-derecha{
         width: 192px;
         height: 104px;
         position: relative;
         top: 0px;
         right: 35px;
    }
    .contenedor-imagenes-arriba{
        gap: 301px;
    }
    .icono-regalo {
        width: 80px;
        height: 80px;
    }
}
@media(min-width: 992px){
    #codigo-promocional, .boton-copiar{
        width: 236px;
        margin-left: auto;
        margin-right: auto;
        
    }
    #contenedor-padre-codigo-promocional{
        padding: 0px 40px 40px 40px;
        height: 800px;
    }
    .contenedor-codigo-boton{
        display: flex;
        flex-direction: row;
        gap: 16px;
        margin-left: 0;
    }
    .contenedor-codigo-promocional{
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .contenedor-codigo-boton{
        gap: 16px;
    }
    .imagen-arriba-izquierda{
         width: 132px;
         height: 168px;
    }
    .imagen-abajo-derecha{
         width: 192px;
         height: 104px;
         position: relative;
         top: 20px;
    }
    .contenedor-imagenes-arriba{
        gap: 540px;
        position: relative;
        top: 30px;
    }
.contenedor-imagenes-abajo{
    gap: 540px;
    position: relative;
    bottom: 50px;
}

    .subtitulo-regalo{
        width: 500px;
    }
    .titulo-regalo {
    font-size: 2rem;
}

}

@media(min-width: 1200px){
    .contenedor-central-total{
        display: flex;
        justify-content: space-between;
        width: 90%;
        margin-left: auto;
        margin-top: 30px;
        margin-right: auto;
    }
    .imagen-centro-izquierda, .imagen-centro-derecha{
        display: flex;
        position: relative; 
            }
    .imagen-centro-izquierda{
        left: -185px;
    }
    .imagen-centro-derecha{
        right: -177px;
    }

    .error1{
        position: relative;
        top: -50px;
    }
}

@media(min-width: 1500px){
    .contenedor-central-total{
        width: 1380px;
    }

    .imagen-centro-izquierda{
        left: 0px;
    }
    .imagen-centro-derecha{
        right: 0px;
    }
}


